Intel Management Engine Vulnerability Update

Intel Management Engine Vulnerability Update

Intel Management Engine Vulnerability Update

Intel Management Engine Vulnerability Update

Intel IME Website Link

At Logic Supply we make the security of our clients a top priority, and wanted to make you aware of an Intel® security vulnerability that may impact some of our hardware.

The vulnerability is related to the Intel Management Engine (ME), Intel Server Platform Services (SPS), and Intel Trusted Execution Engine (TXE). Based on Intel’s published information, systems purchased since January of 2016 may be affected. 

For more information, including Intel’s downloadable vulnerability detection tool, you can read Intel’s full Security Advisory here.

Intel, as well as our motherboard manufacturers, are currently in the process of identifying affected hardware. Firmware and/or BIOS updates will then be developed and distributed to ensure long-term protection from this vulnerability. We will reach out to affected customers and update this page as further details become available.

Resources
Intel Security Advisory (INTEL-SA-00086)
Intel Detection Tool
Intel Support Article

Intel IME Website Link

Leave a Comment

Your email address will not be published.